/**
 * This is represented as an object instead of an enum due to limitations with TypeScript enums. (We
 * want this type to be a child of the `BitFlag` type.)
 *
 * @enum
 * @notExported
 * @rename DisplayFlag
 */
declare const DisplayFlagInternal: {
    /** 1 << -1 (0) */
    readonly INVISIBLE: number;
    /** 1 << 0 (1) */
    readonly VISIBLE: number;
    /** 1 << 1 (2) */
    readonly SHADOW: number;
    /** 1 << 2 (4) */
    readonly SHOW_ICON: number;
};
type DisplayFlagValue = BitFlag & {
    readonly __displayFlagBrand: symbol;
};
type DisplayFlagType = {
    readonly [K in keyof typeof DisplayFlagInternal]: DisplayFlagValue;
};
export declare const DisplayFlag: DisplayFlagType;
export type DisplayFlag = DisplayFlagType[keyof DisplayFlagType];
export declare const DisplayFlagZero: BitFlags<DisplayFlagValue>;
export {};
//# sourceMappingURL=DisplayFlag.d.ts.map